﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DMAPI
{
    public class DMAPIException : Exception
    {

        public string Status;

        public string Command;

        public DMAPIException()
            : base()
        {
            Status = "-";
        }

        public DMAPIException(string status, string command ,string message)
            : base(message)
        {
            this.Status = status;
            this.Command = command;
        }

        public DMAPIException(string message)
            : base(message)
        {
            Status = "-";
        }

    }

    public class ParseException : Exception
    {

        public ParseException()
            : base()
        {
        }

        public ParseException(string message)
            : base(message)
        {
        }

    }
}
